<?php

namespace Litecms\CustomService\Repositories\Eloquent;

use Litecms\CustomService\Interfaces\CustomServicesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CustomServicesRepository extends BaseRepository implements CustomServicesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.custom_service.custom_services.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.custom_service.custom_services.model.model');
    }
}
