Lavalite package that provides custom_service management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/custom_service`.

    "litecms/custom_service": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\CustomService\Providers\CustomServiceServiceProvider::class,

And also add it to alias

    'CustomService'  => Litecms\CustomService\Facades\CustomService::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\CustomServiceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\CustomService\Providers\CustomServiceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\CustomService\Providers\CustomServiceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\CustomService\Providers\CustomServiceServiceProvider" --tag="view"


## Usage


