<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for custom_services in custom_service package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  custom_services module in custom_service package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'CustomServices',
    'names'         => 'CustomServices',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'CustomServices',
        'sub'   => 'CustomServices',
        'list'  => 'List of custom_services',
        'edit'  => 'Edit custom_services',
        'create'    => 'Create new custom_services'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'text'                       => 'text',
        'service_name'               => 'services',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'text'                       => 'Text',
        'service_name'               => 'Service',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'text'                       => ['name' => 'Text', 'data-column' => 1, 'checked'],
        'service_name'               => ['name' => 'Service', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'CustomServices',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
