    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#custom_services" data-toggle="tab">{!! trans('custom_service::custom_services.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#custom_service-custom_services-edit'  data-load-to='#custom_service-custom_services-entry' data-datatable='#custom_service-custom_services-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#custom_service-custom_services-entry' data-href='{{guard_url('custom_service/custom_services')}}/{{$custom_services->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('custom_service-custom_services-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('custom_service/custom_services/'. $custom_services->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="custom_services">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('custom_service::custom_services.name') !!} [{!!$custom_services->name!!}] </div>
                @include('custom_service::admin.custom_services.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>